Index: src/hostmask.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/hostmask.c,v
retrieving revision 7.97.2.1
diff -b -u -r7.97.2.1 hostmask.c
--- src/hostmask.c	3 Aug 2004 20:39:51 -0000	7.97.2.1
+++ src/hostmask.c	19 Aug 2004 22:16:34 -0000
@@ -59,9 +59,9 @@
 		b = nb;
 	
 	if(naddr == NULL)
-		addr = (struct irc_sockaddr_storage *)&xaddr;
+		addr = (struct irc_sockaddr_storage *) &xaddr;
 	else
-		addr = (struct irc_sockaddr_storage *)naddr;
+		addr = (struct irc_sockaddr_storage *) naddr;
 	
 #ifdef IPV6
 	if(strchr(ip, ':'))
@@ -73,13 +73,15 @@
 			*b = atoi(ptr);
 			if(*b > 128)
 				*b = 128;
-		} else
+		}
+		else
 			*b = 128;
-		if(inetpton_sock(ip, (struct sockaddr *)addr) > 0)
+		if(inetpton_sock(ip, (struct sockaddr *) addr) > 0)
 			return HM_IPV6;
 		else
 			return HM_HOST;
-	} else
+	}
+	else
 #endif
 	if(strchr(text, '.'))
 	{
@@ -90,9 +92,10 @@
 			*b = atoi(ptr);
 			if(*b > 32)
 				*b = 32;
-		} else
+		}
+		else
 			*b = 32;
-		if(inetpton_sock(ip, (struct sockaddr *)addr) > 0)
+		if(inetpton_sock(ip, (struct sockaddr *) addr) > 0)
 			return HM_IPV4;
 		else
 			return HM_HOST;
@@ -139,7 +142,7 @@
 {
 	struct sockaddr_in6 *addr = (struct sockaddr_in6 *) saddr;
 	unsigned long v = 0, n;
-	for (n = 0; n < 16; n++)
+	for(n = 0; n < 16; n++)
 	{
 		if(bits >= 8)
 		{
@@ -188,7 +191,7 @@
 {
 	const char *hp = "", *p;
 
-	for (p = text + strlen(text) - 1; p >= text; p--)
+	for(p = text + strlen(text) - 1; p >= text; p--)
 		if(*p == '*' || *p == '?')
 			return hash_text(hp);
 		else if(*p == '.')
@@ -223,17 +226,15 @@
 		if(fam == AF_INET6)
 		{
 
-			for (b = 128; b >= 0; b -= 16)
+			for(b = 128; b >= 0; b -= 16)
 			{
-				for (arec = atable[hash_ipv6(addr, b)]; arec; arec = arec->next)
+				for(arec = atable[hash_ipv6(addr, b)]; arec; arec = arec->next)
 					if(arec->type == (type & ~0x1) &&
 					   arec->masktype == HM_IPV6 &&
-					   comp_with_mask_sock(addr, (struct sockaddr *)&arec->Mask.ipa.addr,
-							       arec->Mask.ipa.bits) && (type & 0x1
-											||
-											match(arec->
-											      username,
-											      username))
+					   comp_with_mask_sock(addr,
+							       (struct sockaddr *) &arec->Mask.ipa.
+							       addr, arec->Mask.ipa.bits)
+					   && (type & 0x1 || match(arec->username, username))
 					   && arec->precedence > hprecv)
 					{
 						hprecv = arec->precedence;
@@ -245,17 +246,15 @@
 #endif
 		if(fam == AF_INET)
 		{
-			for (b = 32; b >= 0; b -= 8)
+			for(b = 32; b >= 0; b -= 8)
 			{
-				for (arec = atable[hash_ipv4(addr, b)]; arec; arec = arec->next)
+				for(arec = atable[hash_ipv4(addr, b)]; arec; arec = arec->next)
 					if(arec->type == (type & ~0x1) &&
 					   arec->masktype == HM_IPV4 &&
-					   comp_with_mask_sock(addr, (struct sockaddr *)&arec->Mask.ipa.addr,
-							       arec->Mask.ipa.bits) && (type & 0x1
-											||
-											match(arec->
-											      username,
-											      username))
+					   comp_with_mask_sock(addr,
+							       (struct sockaddr *) &arec->Mask.ipa.
+							       addr, arec->Mask.ipa.bits)
+					   && (type & 0x1 || match(arec->username, username))
 					   && arec->precedence > hprecv)
 					{
 						hprecv = arec->precedence;
@@ -270,9 +269,9 @@
 		const char *p;
 		/* And yes - we have to check p after strchr and p after increment for
 		 * NULL -kre */
-		for (p = name; p != NULL;)
+		for(p = name; p != NULL;)
 		{
-			for (arec = atable[hash_text(p)]; arec; arec = arec->next)
+			for(arec = atable[hash_text(p)]; arec; arec = arec->next)
 				if((arec->type == (type & ~0x1)) &&
 				   (arec->masktype == HM_HOST) &&
 				   match(arec->Mask.hostname, name) &&
@@ -288,7 +287,7 @@
 			else
 				break;
 		}
-		for (arec = atable[0]; arec; arec = arec->next)
+		for(arec = atable[0]; arec; arec = arec->next)
 			if(arec->type == (type & ~0x1) &&
 			   arec->masktype == HM_HOST &&
 			   match(arec->Mask.hostname, name) &&
@@ -336,7 +335,7 @@
 		if(p)
 		{
 			*p = '\0';
-			kconf = find_conf_by_address(p+1, ip, CONF_KILL, aftype, iconf->name);
+			kconf = find_conf_by_address(p + 1, ip, CONF_KILL, aftype, iconf->name);
 			*p = '@';
 		}
 		else
@@ -390,7 +389,7 @@
 	if(address == NULL)
 		address = "/NOMATCH!/";
 	arec = MyMalloc(sizeof(struct AddressRec));
-	masktype = parse_netmask(address, (struct sockaddr *)&arec->Mask.ipa.addr, &bits);
+	masktype = parse_netmask(address, (struct sockaddr *) &arec->Mask.ipa.addr, &bits);
 	arec->Mask.ipa.bits = bits;
 	arec->masktype = masktype;
 #ifdef IPV6
@@ -398,7 +397,8 @@
 	{
 		/* We have to do this, since we do not re-hash for every bit -A1kmm. */
 		bits -= bits % 16;
-		arec->next = atable[(hv = hash_ipv6((struct sockaddr *)&arec->Mask.ipa.addr, bits))];
+		arec->next =
+			atable[(hv = hash_ipv6((struct sockaddr *) &arec->Mask.ipa.addr, bits))];
 		atable[hv] = arec;
 	}
 	else
@@ -407,7 +407,8 @@
 	{
 		/* We have to do this, since we do not re-hash for every bit -A1kmm. */
 		bits -= bits % 8;
-		arec->next = atable[(hv = hash_ipv4((struct sockaddr *)&arec->Mask.ipa.addr, bits))];
+		arec->next =
+			atable[(hv = hash_ipv4((struct sockaddr *) &arec->Mask.ipa.addr, bits))];
 		atable[hv] = arec;
 	}
 	else
@@ -435,13 +436,13 @@
 	unsigned long hv;
 	struct AddressRec *arec, *arecl = NULL;
 	struct irc_sockaddr_storage addr;
-	masktype = parse_netmask(address, (struct sockaddr *)&addr, &bits);
+	masktype = parse_netmask(address, (struct sockaddr *) &addr, &bits);
 #ifdef IPV6
 	if(masktype == HM_IPV6)
 	{
 		/* We have to do this, since we do not re-hash for every bit -A1kmm. */
 		bits -= bits % 16;
-		hv = hash_ipv6((struct sockaddr *)&addr, bits);
+		hv = hash_ipv6((struct sockaddr *) &addr, bits);
 	}
 	else
 #endif
@@ -449,11 +450,11 @@
 	{
 		/* We have to do this, since we do not re-hash for every bit -A1kmm. */
 		bits -= bits % 8;
-		hv = hash_ipv4((struct sockaddr *)&addr, bits);
+		hv = hash_ipv4((struct sockaddr *) &addr, bits);
 	}
 	else
 		hv = get_mask_hash(address);
-	for (arec = atable[hv]; arec; arec = arec->next)
+	for(arec = atable[hv]; arec; arec = arec->next)
 	{
 		if(arec->aconf == aconf)
 		{
@@ -485,10 +486,10 @@
 	struct AddressRec **store_next;
 	struct AddressRec *arec, *arecn;
 
-	for (i = 0; i < ATABLE_SIZE; i++)
+	for(i = 0; i < ATABLE_SIZE; i++)
 	{
 		store_next = &atable[i];
-		for (arec = atable[i]; arec; arec = arecn)
+		for(arec = atable[i]; arec; arec = arecn)
 		{
 			arecn = arec->next;
 			/* We keep the temporary K-lines and destroy the
@@ -564,8 +565,8 @@
 	struct ConfItem *aconf;
 	int i, port;
 
-	for (i = 0; i < ATABLE_SIZE; i++)
-		for (arec = atable[i]; arec; arec = arec->next)
+	for(i = 0; i < ATABLE_SIZE; i++)
+		for(arec = atable[i]; arec; arec = arec->next)
 			if(arec->type == CONF_CLIENT)
 			{
 				aconf = arec->aconf;
@@ -600,9 +601,9 @@
 	struct ConfItem *aconf = NULL;
 	int i;
 
-	for (i = 0; i < ATABLE_SIZE; i++)
+	for(i = 0; i < ATABLE_SIZE; i++)
 	{
-		for (arec = atable[i]; arec; arec = arec->next)
+		for(arec = atable[i]; arec; arec = arec->next)
 		{
 			if(arec->type == CONF_KILL)
 			{
@@ -612,10 +613,10 @@
 				if(aconf->flags & CONF_FLAGS_TEMPORARY)
 					continue;
 
-				get_printable_kline(source_p, aconf, &host, &pass, &user, &oper_reason);
+				get_printable_kline(source_p, aconf, &host, &pass, &user,
+						    &oper_reason);
 				sendto_one_numeric(source_p, RPL_STATSKLINE,
-						   form_str(RPL_STATSKLINE),
-						   'K', host, user, pass,
+						   form_str(RPL_STATSKLINE), 'K', host, user, pass,
 						   oper_reason ? "|" : "",
 						   oper_reason ? oper_reason : "");
 			}
Index: src/ircd.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/ircd.c,v
retrieving revision 7.343.2.2
diff -b -u -r7.343.2.2 ircd.c
--- src/ircd.c	4 Aug 2004 00:21:17 -0000	7.343.2.2
+++ src/ircd.c	19 Aug 2004 22:16:35 -0000
@@ -165,8 +165,7 @@
 	printf("ircd: version %s\n", ircd_version);
 	printf("ircd: pid %d\n", pid);
 	printf("ircd: running in %s mode from %s\n",
-	       !server_state_foreground ? "background" : "foreground",
-	        ConfigFileEntry.dpath);
+	       !server_state_foreground ? "background" : "foreground", ConfigFileEntry.dpath);
 }
 
 /*
@@ -292,7 +291,7 @@
 {
 	time_t delay;
 #ifndef __vms
-	while (ServerRunning)
+	while(ServerRunning)
 
 	{
 		/* Run pending events, then get the number of seconds to the next
@@ -366,11 +365,9 @@
 	GlobalSetOptions.ident_timeout = IDENT_TIMEOUT;
 
 	strlcpy(GlobalSetOptions.operstring,
-		ConfigFileEntry.default_operstring,
-		sizeof(GlobalSetOptions.operstring));
+		ConfigFileEntry.default_operstring, sizeof(GlobalSetOptions.operstring));
 	strlcpy(GlobalSetOptions.adminstring,
-		ConfigFileEntry.default_adminstring,
-		sizeof(GlobalSetOptions.adminstring));
+		ConfigFileEntry.default_adminstring, sizeof(GlobalSetOptions.adminstring));
 
 	/* memset( &ConfigChannel, 0, sizeof(ConfigChannel)); */
 
@@ -544,7 +541,8 @@
 
 	if(chdir(ConfigFileEntry.dpath))
 	{
-		fprintf(stderr, "Unable to chdir to %s: %s\n", ConfigFileEntry.dpath, strerror(errno));
+		fprintf(stderr, "Unable to chdir to %s: %s\n", ConfigFileEntry.dpath,
+			strerror(errno));
 		exit(EXIT_FAILURE);
 	}
 
@@ -554,7 +552,7 @@
 	server_state_foreground = 1;
 #endif
 
-	if (testing_conf)
+	if(testing_conf)
 		server_state_foreground = 1;
 
 	/* We need this to initialise the fd array before anything else */
@@ -612,7 +610,7 @@
 	init_auth();		/* Initialise the auth code */
 	init_resolver();	/* Needs to be setup before the io loop */
 
-	if (testing_conf)
+	if(testing_conf)
 		fprintf(stderr, "\nBeginning config test\n");
 	read_conf_files(YES);	/* cold start init conf files */
 #ifndef STATIC_MODULES
@@ -650,7 +648,7 @@
 	}
 	strlcpy(me.info, ServerInfo.description, sizeof(me.info));
 
-	if (testing_conf)
+	if(testing_conf)
 	{
 		fprintf(stderr, "\nConfig testing complete.\n");
 		fflush(stderr);
@@ -696,8 +694,7 @@
 	eventAddIsh("comm_checktimeouts", comm_checktimeouts, NULL, 1);
 
 	if(ConfigServerHide.links_delay > 0)
-		eventAddIsh("cache_links", cache_links, NULL,
-			    ConfigServerHide.links_delay);
+		eventAddIsh("cache_links", cache_links, NULL, ConfigServerHide.links_delay);
 	else
 		ConfigServerHide.links_disabled = 1;
 
Index: src/ircd_signal.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/ircd_signal.c,v
retrieving revision 7.22
diff -b -u -r7.22 ircd_signal.c
--- src/ircd_signal.c	10 Sep 2003 17:41:47 -0000	7.22
+++ src/ircd_signal.c	19 Aug 2004 22:16:35 -0000
@@ -48,6 +48,7 @@
 	int status;
 	waitpid(-1, &status, WNOHANG);
 }
+
 /*
  * sigterm_handler - exit the server
  */
@@ -74,8 +75,7 @@
 {
 	free_cachefile(user_motd);
 	user_motd = cache_file(MPATH, "ircd.motd", 0);
-	sendto_realops_flags(UMODE_ALL, L_ALL,
-		"Got signal SIGUSR1, reloading ircd motd file");
+	sendto_realops_flags(UMODE_ALL, L_ALL, "Got signal SIGUSR1, reloading ircd motd file");
 }
 #endif
 
Index: src/kdparse.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/kdparse.c,v
retrieving revision 7.35
diff -b -u -r7.35 kdparse.c
--- src/kdparse.c	6 May 2004 22:23:59 -0000	7.35
+++ src/kdparse.c	19 Aug 2004 22:16:36 -0000
@@ -43,8 +43,7 @@
  */
 static void
 conf_add_fields(struct ConfItem *aconf,	const char *host_field,
-		const char *pass_field,	const char *user_field,
-		const char *operreason_field)
+		const char *pass_field, const char *user_field, const char *operreason_field)
 {
 	if(host_field != NULL)
 		DupString(aconf->host, host_field);
@@ -74,7 +73,7 @@
 	char line[BUFSIZE];
 	char *p;
 
-	while (fbgets(line, sizeof(line), file))
+	while(fbgets(line, sizeof(line), file))
 	{
 		if((p = strchr(line, '\n')) != NULL)
 			*p = '\0';
@@ -98,8 +97,7 @@
 
 		aconf = make_conf();
 		aconf->status = CONF_KILL;
-		conf_add_fields(aconf, host_field, reason_field,
-				user_field, operreason_field);
+		conf_add_fields(aconf, host_field, reason_field, user_field, operreason_field);
 
 		if(aconf->host != NULL)
 			add_conf_by_address(aconf->host, CONF_KILL, aconf->user, aconf);
@@ -123,7 +121,7 @@
 	char line[BUFSIZE];
 	char *p;
 
-	while (fbgets(line, sizeof(line), file))
+	while(fbgets(line, sizeof(line), file))
 	{
 		if((p = strchr(line, '\n')))
 			*p = '\0';
@@ -157,7 +155,7 @@
 	char line[BUFSIZE];
 	char *p;
 
-	while (fbgets(line, sizeof(line), file))
+	while(fbgets(line, sizeof(line), file))
 	{
 		if((p = strchr(line, '\n')))
 			*p = '\0';
@@ -177,8 +175,7 @@
 			continue;
 
 		/* sanity checking */
-		if((find_xline(gecos_field, 0) != NULL) ||
-		   (strchr(reason_field, ':') != NULL))
+		if((find_xline(gecos_field, 0) != NULL) || (strchr(reason_field, ':') != NULL))
 			continue;
 
 		aconf = make_conf();
@@ -200,7 +197,7 @@
 	char line[BUFSIZE];
 	char *p;
 
-	while (fbgets(line, sizeof(line), file))
+	while(fbgets(line, sizeof(line), file))
 	{
 		if((p = strchr(line, '\n')))
 			*p = '\0';
Index: src/kqueue.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/kqueue.c,v
retrieving revision 1.45
diff -b -u -r1.45 kqueue.c
--- src/kqueue.c	15 Mar 2004 17:58:08 -0000	1.45
+++ src/kqueue.c	19 Aug 2004 22:16:36 -0000
@@ -125,7 +125,8 @@
 			/* jdc -- someone needs to do error checking... */
 			if(ret == -1)
 			{
-				ilog(L_IOERROR, "kq_update_events(): kevent(): %s", strerror(errno));
+				ilog(L_IOERROR, "kq_update_events(): kevent(): %s",
+				     strerror(errno));
 				return;
 			}
 			kqoff = 0;
@@ -229,7 +230,7 @@
 		 */
 		poll_time.tv_sec = 0;
 		poll_time.tv_nsec = delay * 1000000;
-		for (;;)
+		for(;;)
 		{
 			num = kevent(kq, kqlst, kqoff, ke, KE_LENGTH, &poll_time);
 			kqoff = 0;
@@ -246,7 +247,7 @@
 		if(num == 0)
 			continue;
 
-		for (i = 0; i < num; i++)
+		for(i = 0; i < num; i++)
 		{
 			PF *hdl = NULL;
 			fde_t *F = ke[i].udata;
@@ -279,8 +280,7 @@
 		}
 		return COMM_OK;
 	}
-	while (0);		/* XXX should rip this out! -- adrian */
+	while(0);		/* XXX should rip this out! -- adrian */
 	/* XXX Get here, we broke! */
 	return 0;
 }
-
Index: src/listener.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/listener.c,v
retrieving revision 7.110.2.1
diff -b -u -r7.110.2.1 listener.c
--- src/listener.c	3 Aug 2004 20:39:51 -0000	7.110.2.1
+++ src/listener.c	19 Aug 2004 22:16:36 -0000
@@ -47,8 +47,7 @@
 #endif
 
 #ifdef NO_IN6ADDR_ANY
-const static struct in6_addr in6addr_any =
-{ { { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } } };
+const static struct in6_addr in6addr_any = { {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}} };
 #endif 
 
 static PF accept_connection;
@@ -82,7 +81,7 @@
 	else
 	{
 		struct Listener *prev = ListenerPollList;
-		for (; prev; prev = prev->next)
+		for(; prev; prev = prev->next)
 		{
 			if(listener == prev->next)
 			{
@@ -114,10 +113,10 @@
 
 #ifdef IPV6
 	if(listener->addr.ss_family == AF_INET6)
-		port = ntohs(((struct sockaddr_in6 *)&listener->addr)->sin6_port);
+		port = ntohs(((struct sockaddr_in6 *) &listener->addr)->sin6_port);
 	else
 #endif
-		port = ntohs(((struct sockaddr_in *)&listener->addr)->sin_port);	
+		port = ntohs(((struct sockaddr_in *) &listener->addr)->sin_port);
 
 	ircsnprintf(buf, sizeof(buf), "%s[%s/%u]", me.name, listener->name, port);
 	return buf;
@@ -134,15 +133,16 @@
 {
 	struct Listener *listener = 0;
 
-	for (listener = ListenerPollList; listener; listener = listener->next)
+	for(listener = ListenerPollList; listener; listener = listener->next)
 	{
-		sendto_one_numeric(source_p, RPL_STATSPLINE, 
-				   form_str(RPL_STATSPLINE), 'P',
+		sendto_one_numeric(source_p, RPL_STATSPLINE, form_str(RPL_STATSPLINE), 'P',
 #ifdef IPV6
-			   ntohs(listener->addr.ss_family == AF_INET ? ((struct sockaddr_in *)&listener->addr)->sin_port :
-			   	 ((struct sockaddr_in6 *)&listener->addr)->sin6_port),
+				   ntohs(listener->addr.ss_family ==
+					 AF_INET ? ((struct sockaddr_in *) &listener->addr)->
+					 sin_port : ((struct sockaddr_in6 *) &listener->addr)->
+					 sin6_port),
 #else
-			   ntohs(((struct sockaddr_in *)&listener->addr)->sin_port),
+				   ntohs(((struct sockaddr_in *) &listener->addr)->sin_port),
 #endif
 			   IsOperAdmin(source_p) ? listener->name : me.name,
 			   listener->ref_count, (listener->active) ? "active" : "disabled");
@@ -177,16 +177,18 @@
 #ifdef IPV6
 	if(listener->addr.ss_family == AF_INET6)
 	{
-		struct sockaddr_in6 *in6 = (struct sockaddr_in6 *)&listener->addr;
+		struct sockaddr_in6 *in6 = (struct sockaddr_in6 *) &listener->addr;
 		if(!IN6_ARE_ADDR_EQUAL(&in6->sin6_addr, &in6addr_any))
 		{
-			inetntop(AF_INET6, &in6->sin6_addr, listener->vhost, sizeof(listener->vhost));
+			inetntop(AF_INET6, &in6->sin6_addr, listener->vhost,
+				 sizeof(listener->vhost));
 			listener->name = listener->vhost;
 		}
-	} else
+	}
+	else
 #endif
 	{
-		struct sockaddr_in *in = (struct sockaddr_in *)&listener->addr;
+		struct sockaddr_in *in = (struct sockaddr_in *) &listener->addr;
 		if(in->sin_addr.s_addr != INADDR_ANY)
 		{
 			inetntop(AF_INET, &in->sin_addr, listener->vhost, sizeof(listener->vhost));
@@ -198,15 +200,13 @@
 	if(fd == -1)
 	{
 		report_error("opening listener socket %s:%s",
-			     get_listener_name(listener), 
-			     get_listener_name(listener), errno);
+			     get_listener_name(listener), get_listener_name(listener), errno);
 		return 0;
 	}
 	else if((HARD_FDLIMIT - 10) < fd)
 	{
 		report_error("no more connections left for listener %s:%s",
-			     get_listener_name(listener), 
-			     get_listener_name(listener), errno);
+			     get_listener_name(listener), get_listener_name(listener), errno);
 		fd_close(fd);
 		return 0;
 	}
@@ -217,8 +217,7 @@
 	if(setsockopt(fd, SOL_SOCKET, SO_REUSEADDR, (char *) &opt, sizeof(opt)))
 	{
 		report_error("setting SO_REUSEADDR for listener %s:%s",
-			     get_listener_name(listener), 
-			     get_listener_name(listener), errno);
+			     get_listener_name(listener), get_listener_name(listener), errno);
 		fd_close(fd);
 		return 0;
 	}
@@ -231,8 +230,7 @@
 	if(bind(fd, (struct sockaddr *) &listener->addr, GET_SS_LEN(listener->addr)))
 	{
 		report_error("binding listener socket %s:%s",
-			     get_listener_name(listener), 
-			     get_listener_name(listener), errno);
+			     get_listener_name(listener), get_listener_name(listener), errno);
 		fd_close(fd);
 		return 0;
 	}
@@ -240,16 +238,14 @@
 	if(listen(fd, RATBOX_SOMAXCONN))
 	{
 		report_error("listen failed for %s:%s", 
-			     get_listener_name(listener), 
-			     get_listener_name(listener), errno);
+			     get_listener_name(listener), get_listener_name(listener), errno);
 		fd_close(fd);
 		return 0;
 	}
 
 	if(!comm_set_nb(fd))
 		report_error(NONB_ERROR_MSG, 
-			     get_listener_name(listener), 
-			     get_listener_name(listener), errno);
+			     get_listener_name(listener), get_listener_name(listener), errno);
 
 	listener->fd = fd;
 
@@ -265,39 +261,39 @@
 	struct Listener *listener = NULL;
 	struct Listener *last_closed = NULL;
 
-	for (listener = ListenerPollList; listener; listener = listener->next)
+	for(listener = ListenerPollList; listener; listener = listener->next)
 	{
 		if(addr->ss_family != listener->addr.ss_family)
 			continue;
 		
-		switch(addr->ss_family)
+		switch (addr->ss_family)
 		{
 			case AF_INET:
 			{
-				struct sockaddr_in *in4 = (struct sockaddr_in *)addr;
-				struct sockaddr_in *lin4 = (struct sockaddr_in *)&listener->addr;
+				struct sockaddr_in *in4 = (struct sockaddr_in *) addr;
+				struct sockaddr_in *lin4 = (struct sockaddr_in *) &listener->addr;
 				if(in4->sin_addr.s_addr == lin4->sin_addr.s_addr && 
-					in4->sin_port == lin4->sin_port )
+				   in4->sin_port == lin4->sin_port)
 				{
 					if(listener->fd == -1)
 						last_closed = listener;
 					else
-						return(listener);
+						return (listener);
 				}
 				break;
 			}
 #ifdef IPV6
 			case AF_INET6:
 			{
-				struct sockaddr_in6 *in6 = (struct sockaddr_in6 *)addr;
-				struct sockaddr_in6 *lin6 =(struct sockaddr_in6 *)&listener->addr;
+				struct sockaddr_in6 *in6 = (struct sockaddr_in6 *) addr;
+				struct sockaddr_in6 *lin6 = (struct sockaddr_in6 *) &listener->addr;
 				if(IN6_ARE_ADDR_EQUAL(&in6->sin6_addr, &lin6->sin6_addr) &&
 				  in6->sin6_port == lin6->sin6_port)
 				{
 					if(listener->fd == -1)
 						last_closed = listener;
 					else
-						return(listener);
+						return (listener);
 				}
 				break;
 				
@@ -336,43 +332,47 @@
 	{
 		if(family == AF_INET)
 		{
-			if(inetpton(family, vhost_ip, &((struct sockaddr_in *)&vaddr)->sin_addr) <= 0)
+			if(inetpton(family, vhost_ip, &((struct sockaddr_in *) &vaddr)->sin_addr) <=
+			   0)
 				return;
 		} 
 #ifdef IPV6
 		else
 		{
-			if(inetpton(family, vhost_ip, &((struct sockaddr_in6 *)&vaddr)->sin6_addr) <= 0)
+			if(inetpton(family, vhost_ip, &((struct sockaddr_in6 *) &vaddr)->sin6_addr)
+			   <= 0)
 				return;
 		
 		}
 #endif
-	} else
+	}
+	else
 	{
-		switch(family)
+		switch (family)
 		{
 			case AF_INET:
-				((struct sockaddr_in *)&vaddr)->sin_addr.s_addr = INADDR_ANY;
+			((struct sockaddr_in *) &vaddr)->sin_addr.s_addr = INADDR_ANY;
 				break;
 #ifdef IPV6
 			case AF_INET6:
-				memcpy(&((struct sockaddr_in6 *)&vaddr)->sin6_addr, &in6addr_any, sizeof(struct in6_addr));
+			memcpy(&((struct sockaddr_in6 *) &vaddr)->sin6_addr, &in6addr_any,
+			       sizeof(struct in6_addr));
 				break;
 			default:
 				return;
 #endif
 		} 
 	}
-	switch(family)
+	switch (family)
 	{
 		case AF_INET:
 			SET_SS_LEN(vaddr, sizeof(struct sockaddr_in));
-			((struct sockaddr_in *)&vaddr)->sin_port = htons(port);
+		((struct sockaddr_in *) &vaddr)->sin_port = htons(port);
 			break;
 #ifdef IPV6
 		case AF_INET6:
 			SET_SS_LEN(vaddr, sizeof(struct sockaddr_in6));
-			((struct sockaddr_in6 *)&vaddr)->sin6_port = htons(port);
+		((struct sockaddr_in6 *) &vaddr)->sin6_port = htons(port);
 			break;
 #endif
 		default:
@@ -432,7 +432,7 @@
 	/*
 	 * close all 'extra' listening ports we have
 	 */
-	for (listener = ListenerPollList; listener; listener = listener_next)
+	for(listener = ListenerPollList; listener; listener = listener_next)
 	{
 		listener_next = listener->next;
 		close_listener(listener);
@@ -465,14 +465,15 @@
 	 * copy address to 'sockhost' as a string, copy it to host too
 	 * so we have something valid to put into error messages...
 	 */
-	inetntop_sock((struct sockaddr *)&new_client->localClient->ip, new_client->sockhost, 
+	inetntop_sock((struct sockaddr *) &new_client->localClient->ip, new_client->sockhost,
 		sizeof(new_client->sockhost));
 
 
 	strlcpy(new_client->host, new_client->sockhost, sizeof(new_client->host));
 
 #ifdef IPV6
-	if(new_client->localClient->ip.ss_family == AF_INET6 && ConfigFileEntry.dot_in_ip6_addr == 1)
+	if(new_client->localClient->ip.ss_family == AF_INET6
+	   && ConfigFileEntry.dot_in_ip6_addr == 1)
 	{
 		strlcat(new_client->host, ".", sizeof(new_client->host));
 	}
@@ -517,10 +518,10 @@
 	 * be accepted until some old is closed first.
 	 */
 
-	fd = comm_accept(listener->fd, (struct sockaddr *)&sai);
+	fd = comm_accept(listener->fd, (struct sockaddr *) &sai);
 
 	/* This needs to be done here, otherwise we break dlines */
-	mangle_mapped_sockaddr((struct sockaddr *)&sai);
+	mangle_mapped_sockaddr((struct sockaddr *) &sai);
 
 	if(fd < 0)
 	{
@@ -556,7 +557,7 @@
 
 	/* Do an initial check we aren't connecting too fast or with too many
 	 * from this IP... */
-	if((pe = conf_connect_allowed((struct sockaddr *)&sai, sai.ss_family)) != 0)
+	if((pe = conf_connect_allowed((struct sockaddr *) &sai, sai.ss_family)) != 0)
 	{
 		ServerStats->is_ref++;
 
@@ -570,7 +571,7 @@
 	}
 
 	ServerStats->is_ac++;
-	add_connection(listener, fd, (struct sockaddr *)&sai);
+	add_connection(listener, fd, (struct sockaddr *) &sai);
 
 	/* Re-register a new IO request for the next accept .. */
 	comm_setselect(listener->fd, FDLIST_SERVICE, COMM_SELECT_READ,
Index: src/match.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/match.c,v
retrieving revision 7.41.2.1
diff -b -u -r7.41.2.1 match.c
--- src/match.c	3 Aug 2004 20:39:51 -0000	7.41.2.1
+++ src/match.c	19 Aug 2004 22:16:37 -0000
@@ -55,10 +55,10 @@
 		return 0;
 
 	/* if the mask is "*", it matches everything */
-	if((*m == '*') && (*(m+1) == '\0'))
+	if((*m == '*') && (*(m + 1) == '\0'))
 		return 1;
 
-	while (calls++ < MATCH_MAX_CALLS)
+	while(calls++ < MATCH_MAX_CALLS)
 	{
 		if(*m == '*')
 		{
@@ -66,7 +66,7 @@
 			 * XXX - shouldn't need to spin here, the mask should have been
 			 * collapsed before match is called
 			 */
-			while (*m == '*')
+			while(*m == '*')
 				m++;
 			wild = 1;
 			ma = m;
@@ -77,7 +77,7 @@
 		{
 			if(!*n)
 				return 1;
-			for (m--; (m > (const unsigned char *) mask) && (*m == '?'); m--)
+			for(m--; (m > (const unsigned char *) mask) && (*m == '?'); m--)
 				;
 			if(*m == '*' && (m > (const unsigned char *) mask))
 				return 1;
@@ -92,7 +92,7 @@
 			 * XXX - shouldn't need to spin here, the mask should have been
 			 * collapsed before match is called
 			 */
-			while (*m == '*')
+			while(*m == '*')
 				m++;
 			return (*m == 0);
 		}
@@ -137,10 +137,10 @@
 		return 0;
 
 	/* if the mask is "*", it matches everything */
-	if((*m == '*') && (*(m+1) == '\0'))
+	if((*m == '*') && (*(m + 1) == '\0'))
 		return 1;
 
-	while (calls++ < MATCH_MAX_CALLS)
+	while(calls++ < MATCH_MAX_CALLS)
 	{
 		if(quote)
 			quote++;
@@ -158,7 +158,7 @@
 			 * XXX - shouldn't need to spin here, the mask should have been
 			 * collapsed before match is called
 			 */
-			while (*m == '*')
+			while(*m == '*')
 				m++;
 			if(*m == '\\')
 			{
@@ -179,8 +179,8 @@
 				return 1;
 			if(quote)
 				return 0;
-			for (m--; (m > (const unsigned char *) mask) && 
-					(*m == '?' || *m == '#' || *m == '@' ); m--)
+			for(m--; (m > (const unsigned char *) mask) &&
+			    (*m == '?' || *m == '#' || *m == '@'); m--)
 				;
 			if(*m == '*' && (m > (const unsigned char *) mask))
 				return 1;
@@ -197,13 +197,12 @@
 			 */
 			if(quote)
 				return 0;
-			while (*m == '*')
+			while(*m == '*')
 				m++;
 			return (*m == 0);
 		}
 		if(ToLower(*m) != ToLower(*n) && !(!quote && *m == '?') &&
-			!(!quote && *m == '@' && IsLetter(*n)) &&
-			!(!quote && *m == '#' && IsDigit(*n)))
+		   !(!quote && *m == '@' && IsLetter(*n)) && !(!quote && *m == '#' && IsDigit(*n)))
 		{
 			if(!wild)
 				return 0;
@@ -244,19 +243,19 @@
 	
 	if(addr->sa_family == AF_INET)
 	{
-		iaddr = &((struct sockaddr_in *)addr)->sin_addr;
-		idest = &((struct sockaddr_in *)dest)->sin_addr;
+		iaddr = &((struct sockaddr_in *) addr)->sin_addr;
+		idest = &((struct sockaddr_in *) dest)->sin_addr;
 	} 
 #ifdef IPV6
 	else
 	{
-		iaddr = &((struct sockaddr_in6 *)addr)->sin6_addr;
-		idest = &((struct sockaddr_in6 *)dest)->sin6_addr;
+		iaddr = &((struct sockaddr_in6 *) addr)->sin6_addr;
+		idest = &((struct sockaddr_in6 *) dest)->sin6_addr;
 	
 	} 
 #endif
 
-	return(comp_with_mask(iaddr, idest, mask));
+	return (comp_with_mask(iaddr, idest, mask));
 }
 
 
@@ -308,16 +307,16 @@
 	if(strchr(ip, ':') && strchr(ipmask, ':'))
 	{
 		aftype = AF_INET6;
-		ipptr = &((struct sockaddr_in6 *)&ipaddr)->sin6_addr;
-		maskptr = &((struct sockaddr_in6 *)&maskaddr)->sin6_addr;
+		ipptr = &((struct sockaddr_in6 *) &ipaddr)->sin6_addr;
+		maskptr = &((struct sockaddr_in6 *) &maskaddr)->sin6_addr;
 	}
 	else
 #endif
 	if(!strchr(ip, ':') && !strchr(ipmask, ':'))
 	{
 		aftype = AF_INET;
-		ipptr = &((struct sockaddr_in *)&ipaddr)->sin_addr;
-		maskptr = &((struct sockaddr_in *)&maskaddr)->sin_addr;
+		ipptr = &((struct sockaddr_in *) &ipaddr)->sin_addr;
+		maskptr = &((struct sockaddr_in *) &maskaddr)->sin_addr;
 	}
 	else
 		return 0;
@@ -344,7 +343,7 @@
 	if(p == NULL)
 		return NULL;
 
-	while ((c = *p++))
+	while((c = *p++))
 	{
 		if(c == '*')
 		{
@@ -377,7 +376,7 @@
 	if(p == NULL)
 		return NULL;
 
-	while ((c = *p++))
+	while((c = *p++))
 	{
 		if(!(f & 2) && c == '*')
 		{
@@ -417,7 +416,7 @@
 	s_assert(s1 != NULL);
 	s_assert(s2 != NULL);
 
-	while ((res = ToUpper(*str1) - ToUpper(*str2)) == 0)
+	while((res = ToUpper(*str1) - ToUpper(*str2)) == 0)
 	{
 		if(*str1 == '\0')
 			return 0;
@@ -436,7 +435,7 @@
 	s_assert(s1 != NULL);
 	s_assert(s2 != NULL);
 
-	while ((res = ToUpper(*str1) - ToUpper(*str2)) == 0)
+	while((res = ToUpper(*str1) - ToUpper(*str2)) == 0)
 	{
 		str1++;
 		str2++;
